function loadData(jsonData,dateString){

	var views = $(".wnl-star-infos .wnl-star-views");
	//获取日期
	var dateData = new Date(dateString);
	var nowDay = dateData.getDate();
	var nowDayOfWeek = dateData.getDay();
	var nowMonth = dateData.getMonth();
	var nowYear = dateData.getFullYear();
	var weekStartDate = new Date(nowYear, nowMonth, nowDay - nowDayOfWeek);
	var weekEndDate = new Date(nowYear, nowMonth, nowDay + (6 - nowDayOfWeek)); 
	var nowWeek;
	function getNowWeek(nowDayOfWeek){
		switch(nowDayOfWeek)
		{
			case 0:
				nowWeek = "星期天";
				break;
			case 1:
				nowWeek = "星期一";
				break;
			case 2:
				nowWeek = "星期二";
				break;
			case 3:
				nowWeek = "星期三";
				break;
			case 4:
				nowWeek = "星期四";
				break;
			case 5:
				nowWeek = "星期五";
				break;
			case 6:
				nowWeek = "星期六";
				break;
		};
		return nowWeek;
	}
	views.eq(0).find(".wnl-star-date").children("p").text((nowMonth+1)+'/'+nowDay+'  '+getNowWeek(nowDayOfWeek));
	views.eq(1).find(".wnl-star-date").children("p").text((nowMonth+1)+'/'+(nowDay+1)+'  '+getNowWeek(nowDayOfWeek+1));
	views.eq(2).find(".wnl-star-date").children("p").text((weekStartDate.getMonth()+1)+'/'+weekStartDate.getDate()+'-'+(weekEndDate.getMonth()+1)+'/'+weekEndDate.getDate());
	views.eq(3).find(".wnl-star-date").children("p").text((nowMonth+1)+'月');
	views.eq(4).find(".wnl-star-date").children("p").text((nowYear)+'年');

	var astro;
	$.each(jsonData,function(key,value){
		$.each(value,function(key,value){
			if (key == "StarName") {
				astro = value;
			};
		})
	})
	switch(astro)
	{
	case "aries":
		$(".wnl-star-default dt img").attr("src","img/aries_web.png");
		$(".wnl-star-default dd p").eq(0).text("白羊座");
		$(".wnl-star-default dd p").eq(1).text("03/21 - 04/19");
		break;
	case "taurus":
		$(".wnl-star-default dt img").attr("src","img/taurus_web.png");
		$(".wnl-star-default dd p").eq(0).text("金牛座");
		$(".wnl-star-default dd p").eq(1).text("04/20 - 05/20");
		break;
	case "gemini":
		$(".wnl-star-default dt img").attr("src","img/gemini_web.png");
		$(".wnl-star-default dd p").eq(0).text("双子座");
		$(".wnl-star-default dd p").eq(1).text("05/21 - 06/21");
		break;
	case "cancer":
		$(".wnl-star-default dt img").attr("src","img/cancer_web.png");
		$(".wnl-star-default dd p").eq(0).text("巨蟹座");
		$(".wnl-star-default dd p").eq(1).text("06/22- 07/22");
		break;
	case "leo":
		$(".wnl-star-default dt img").attr("src","img/leo_web.png");
		$(".wnl-star-default dd p").eq(0).text("狮子座");
		$(".wnl-star-default dd p").eq(1).text("07/23 - 08/22");
		break;
	case "virgo":
		$(".wnl-star-default dt img").attr("src","img/virgo_web.png");
		$(".wnl-star-default dd p").eq(0).text("处女座");
		$(".wnl-star-default dd p").eq(1).text("08/23 - 09/22");
		break;
	case "libra":
		$(".wnl-star-default dt img").attr("src","img/libra_web.png");
		$(".wnl-star-default dd p").eq(0).text("天秤座");
		$(".wnl-star-default dd p").eq(1).text("09/23 - 10/23");
		break;
	case "scorpio":
		$(".wnl-star-default dt img").attr("src","img/scorpio_web.png");
		$(".wnl-star-default dd p").eq(0).text("天蝎座");
		$(".wnl-star-default dd p").eq(1).text("10/24 - 11/22");
		break;
	case "sagittarius":
		$(".wnl-star-default dt img").attr("src","img/sagittarius_web.png");
		$(".wnl-star-default dd p").eq(0).text("射手座");
		$(".wnl-star-default dd p").eq(1).text("11/23 - 12/21");
		break;
	case "capricorn":
		$(".wnl-star-default dt img").attr("src","img/capricorn_web.png");
		$(".wnl-star-default dd p").eq(0).text("摩羯座");
		$(".wnl-star-default dd p").eq(1).text("12/22 - 01/19");
		break;
	case "aquarius":
		$(".wnl-star-default dt img").attr("src","img/aquarius_web.png");
		$(".wnl-star-default dd p").eq(0).text("水瓶座");
		$(".wnl-star-default dd p").eq(1).text("01/ 20- 02/18");
		break;
	case "pisces":
		$(".wnl-star-default dt img").attr("src","img/pisces_web.png");
		$(".wnl-star-default dd p").eq(0).text("双鱼座");
		$(".wnl-star-default dd p").eq(1).text("02/19- 03/20");
		break;

	}
	$.each(jsonData,function(key,value){
		if (key == "today") {
			$.each(value,function(key,value){
				switch(key)
				{
				case "JKZS":
					views.eq(0).find("li").eq(0).children("span").text(parseInt(value)*20+'%');
					break;
				case "STZS":
					views.eq(0).find("li").eq(1).children("span").text(parseInt(value)*20+'%');
					break;
				case "XYYS":
					views.eq(0).find("li").eq(2).children("span").text(value);
					break;
				case "XYSZ":
					views.eq(0).find("li").eq(3).children("span").text(value);
					break;
				case "SPXZ":
					views.eq(0).find("li").eq(4).children("span").text(value);
					break;
				case "ZHYS":
					views.eq(0).find("dl").eq(0).find("span").addClass('i-star'+value);
					break;
				case "XZYS":
					views.eq(0).find("dl").eq(0).find("dd").text(value);
					break;
				case "AQYS":
					views.eq(0).find("dl").eq(1).find("span").addClass('i-love'+value);
					break;
				case "AQYSD":
					views.eq(0).find("dl").eq(1).find("dd").text(value);
					break;
				case "GZZT":
					views.eq(0).find("dl").eq(2).find("span").addClass('i-work'+value);
					break;
				case "SYYSD":
					views.eq(0).find("dl").eq(2).find("dd").text(value);
					break;
				case "LCTZ":
					views.eq(0).find("dl").eq(3).find("span").addClass('i-money'+value);
					break;
				case "CFYSD":
					views.eq(0).find("dl").eq(3).find("dd").text(value);
					break;
				case "JKZS":
					views.eq(0).find("dl").eq(4).find("span").addClass('i-health'+value);
					break;
				case "JKYSD":
					views.eq(0).find("dl").eq(4).find("dd").text(value);
					break;
				default:
					break;
				}
			});
		};
		if (key == "tomorrow") {
			$.each(value,function(key,value){
				switch(key)
				{
				case "JKZS":
					views.eq(1).find("li").eq(0).children("span").text(parseInt(value)*20+'%');
					break;
				case "STZS":
					views.eq(1).find("li").eq(1).children("span").text(parseInt(value)*20+'%');
					break;
				case "XYYS":
					views.eq(1).find("li").eq(2).children("span").text(value);
					break;
				case "XYSZ":
					views.eq(1).find("li").eq(3).children("span").text(value);
					break;
				case "SPXZ":
					views.eq(1).find("li").eq(4).children("span").text(value);
					break;
				case "ZHYS":
					views.eq(1).find("dl").eq(0).find("span").addClass('i-star'+value);
					break;
				case "XZYS":
					views.eq(1).find("dl").eq(0).find("dd").text(value);
					break;
				case "AQYS":
					views.eq(1).find("dl").eq(1).find("span").addClass('i-love'+value);
					break;
				case "AQYSD":
					views.eq(1).find("dl").eq(1).find("dd").text(value);
					break;
				case "GZZT":
					views.eq(1).find("dl").eq(2).find("span").addClass('i-work'+value);
					break;
				case "SYYSD":
					views.eq(1).find("dl").eq(2).find("dd").text(value);
					break;
				case "LCTZ":
					views.eq(1).find("dl").eq(3).find("span").addClass('i-money'+value);
					break;
				case "CFYSD":
					views.eq(1).find("dl").eq(3).find("dd").text(value);
					break;
				case "JKZS":
					views.eq(1).find("dl").eq(4).find("span").addClass('i-health'+value);
					break;
				case "JKYSD":
					views.eq(1).find("dl").eq(4).find("dd").text(value);
					break;
				}
			});
		};
		if (key == "week") {
			$.each(value,function(key,value){
				switch(key)
				{
				case "XYYS":
					views.eq(2).find("li").eq(0).children("span").text(value);
					break;
				case "XYSZ":
					views.eq(2).find("li").eq(1).children("span").text(value);
					break;
				case "ZHYS":
					views.eq(2).find("dl").eq(0).find("span").addClass('i-star'+value);
					break;
				case "XZYS":
					views.eq(2).find("dl").eq(0).find("dd").text(value);
					break;
				case "AQYS":
					views.eq(2).find("dl").eq(1).find("span").addClass('i-love'+value);
					break;
				case "AQYSD":
					views.eq(2).find("dl").eq(1).find("dd").text(value);
					break;
				case "GZZT":
					views.eq(2).find("dl").eq(2).find("span").addClass('i-work'+value);
					break;
				case "SYYSD":
					views.eq(2).find("dl").eq(2).find("dd").text(value);
					break;
				case "LCTZ":
					views.eq(2).find("dl").eq(3).find("span").addClass('i-money'+value);
					break;
				case "CFYSD":
					views.eq(2).find("dl").eq(3).find("dd").text(value);
					break;
				case "JKYSZS":
					views.eq(2).find("dl").eq(4).find("span").addClass('i-health'+value);
					break;
				case "JKYSD":
					views.eq(2).find("dl").eq(4).find("dd").text(value);
					break;
				}
			});
		};
		if (key == "month") {
			$.each(value,function(key,value){
				switch(key)
				{
				case "ZHYS":
					views.eq(3).find("dl").eq(0).find("span").addClass('i-star'+value);
					break;
				case "XZYS":
					views.eq(3).find("dl").eq(0).find("dd").text(value);
					break;
				case "AQYS":
					views.eq(3).find("dl").eq(1).find("span").addClass('i-love'+value);
					break;
				case "AQYSD":
					views.eq(3).find("dl").eq(1).find("dd").text(value);
					break;
				case "GZZT":
					views.eq(3).find("dl").eq(2).find("span").addClass('i-work'+value);
					break;
				case "SYYSD":
					views.eq(3).find("dl").eq(2).find("dd").text(value);
					break;
				case "LCTZ":
					views.eq(3).find("dl").eq(3).find("span").addClass('i-money'+value);
					break;
				case "CFYSD":
					views.eq(3).find("dl").eq(3).find("dd").text(value);
					break;
				case "JKYSZS":
					views.eq(3).find("dl").eq(4).find("span").addClass('i-health'+value);
					break;
				case "JKYSD":
					views.eq(3).find("dl").eq(4).find("dd").text(value);
					break;
				}
			});
		};
		if (key == "year") {
			$.each(value,function(key,value){
				switch(key)
				{
				case "ZHYS":
					views.eq(4).find("dl").eq(0).find("span").addClass('i-star'+value);
					break;
				case "XZYS":
					views.eq(4).find("dl").eq(0).find("dd").text(value);
					break;
				case "AQYS":
					views.eq(4).find("dl").eq(1).find("span").addClass('i-love'+value);
					break;
				case "AQYSD":
					views.eq(4).find("dl").eq(1).find("dd").text(value);
					break;
				case "GZZT":
					views.eq(4).find("dl").eq(2).find("span").addClass('i-work'+value);
					break;
				case "SYYSD":
					views.eq(4).find("dl").eq(2).find("dd").text(value);
					break;
				case "LCTZ":
					views.eq(4).find("dl").eq(3).find("span").addClass('i-money'+value);
					break;
				case "CFYSD":
					views.eq(4).find("dl").eq(3).find("dd").text(value);
					break;
				case "JKYSZS":
					views.eq(4).find("dl").eq(4).find("span").addClass('i-health'+value);
					break;
				case "JKYSD":
					views.eq(4).find("dl").eq(4).find("dd").text(value);
					break;
				}
			});
		};
	})
}

$(function() {
	FastClick.attach(document.body);
	$(".wnl-star-nav").delegate("li", "click", function() {
		$(this).addClass('on').siblings().removeClass('on');
		$(".wnl-star-infos .wnl-star-views").eq($(this).index()).css("display", "block").siblings().css("display", "none");
    });
    // loadData(myjson);
});